#Return Authorization SQL Upgrade
# For Zen-Cart 1.3.9
# Last Updated: 4/13/2010

SET @t4=0;
SELECT (@t4:=configuration_group_id) as t4
FROM configuration_group
WHERE configuration_group_title= 'Return Authorization';
DELETE FROM configuration WHERE configuration_group_id = @t4;
DELETE FROM configuration_group WHERE configuration_group_id = @t4;
DELETE FROM configuration WHERE configuration_key = 'DEFINE_RETURNS_STATUS';

INSERT INTO configuration_group VALUES (NULL, 'Return Authorization', 'Return Authorization Display Settings', '1', '1');
UPDATE configuration_group SET sort_order = last_insert_id() WHERE configuration_group_id = last_insert_id();

SET @t4=0;
SELECT (@t4:=configuration_group_id) as t4
FROM configuration_group
WHERE configuration_group_title= 'Return Authorization';

INSERT INTO `configuration` VALUES (NULL, 'Phone Number', 'RETURN_PHONE', 'true', 'Display phone number field', @t4, 1, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), ');
INSERT INTO `configuration` VALUES (NULL, 'Item Name', 'RETURN_ITEM_NAME', 'true', 'Display Item Name field', @t4, 2, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), ');
INSERT INTO `configuration` VALUES (NULL, 'Item Number', 'RETURN_ITEM_NUMBER', 'true', 'Display Item Number field', @t4, 3, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), ');
INSERT INTO `configuration` VALUES (NULL, 'Total Value', 'RETURN_VALUE', 'true', 'Display Total Value', @t4, 4, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), ');
INSERT INTO `configuration` VALUES (NULL, 'Only registered customers may submit a return request', 'REGISTERED_RETURN', 'false', 'Only registered customers may submit a return request', @t4, 5, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES (NULL, 'Set "Return Action" Dropdown List', 'RETURN_ACTION_LIST', 'Refund, Replacement, Repair', 'On the "Return Authorization" Page, set the list of actions , in this format: Action 1,  Action 2', @t4, 6, NULL, now(), NULL, 'zen_cfg_textarea(');
INSERT INTO `configuration` VALUES (NULL, 'Return - Show Store Name and Address', 'RETURN_STORE_NAME_ADDRESS', 'true', 'Include Store Name and Address', @t4, 7, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES (NULL, 'Define Return Authorization', 'DEFINE_RETURNS_STATUS', '1', 'Enable the Defined Return Authorization Link/Text?<br />0= Link ON, Define Text OFF<br />1= Link ON, Define Text ON<br />2= Link OFF, Define Text ON<br />3= Link OFF, Define Text OFF', @t4, 8, NULL, now(), NULL, 'zen_cfg_select_option(array(''0'', ''1'', ''2'', ''3''),');
INSERT INTO `configuration` VALUES (NULL, 'Return Authorization Version', 'RA_VERSION', '2.3.3', 'Return Authorization version', @t4, 9, NULL, now(), NULL, NULL);